post
https://{targetURL}/api/v1/projects
Creates a project in elabjournal and provide labels as well as meta data to the project. The only hard requirement is that a project musthave a name, both labels and metadata are optional additions. If metadata is provided, the name field is a required paramater. Options for metadata types is either FILE or TEXT.
Example:
{
'name': 'mytestproject',
'longname': 'mytestprojectlong',
'description': 'my test description',
'notes': 'my test notes',
'label': [
'label1',
'label2',
],
'projectMeta': [
{
'name': 'testmeta',
'value': 'test meta value',
'metatype': 'TEXT',
}
]
}``` 200The project was successfully created
400Your querry has malformed parameters
401You don't have permission to update metaFiles
404While creating the project data was corrupted and could not be retrieved from the database